Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wowza.wms.plugin.integration.liverecord
Class LiveStreamRecorderBase

    Object
      com.wowza.wms.plugin.integration.liverecord.LiveStreamRecorderBase

Direct Known Subclasses:
  LiveStreamRecorderFLV, LiveStreamRecorderMediaWriter, LiveStreamRecorderMP4

    public class LiveStreamRecorderBase

extends Object

Field Summary
`protected String` | `filePath`
`protected boolean` | `moveFirstVideoFrameToZero`
`protected boolean` | `recordData`
`protected boolean` | `startOnKeyFrame`
`protected com.wowza.wms.stream.IMediaStream` | `stream`
`protected LiveStreamRecordActionNotifier` | `streamNotifier`
`protected boolean` | `versionFile`
`protected LiveStreamRecorderWorker` | `worker`
`protected Object` | `writeLock`

Constructor Summary
`LiveStreamRecorderBase()`

Method Summary
`String` | `getFilePath()`
`Object` | `getWriteLock()`
`boolean` | `isMoveFirstVideoFrameToZero()`
`boolean` | `isRecordData()`
`boolean` | `isStartOnKeyFrame()`
`boolean` | `isVersionFile()`
`void` | `setMoveFirstVideoFrameToZero(boolean moveFirstVideoFrameToZero)`
`void` | `setRecordData(boolean recordData)`
`void` | `setStartOnKeyFrame(boolean startOnKeyFrame)`
`void` | `setVersionFile(boolean versionFile)`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filePath

    protected String filePath

### moveFirstVideoFrameToZero

    protected boolean moveFirstVideoFrameToZero

### recordData

    protected boolean recordData

### startOnKeyFrame

    protected boolean startOnKeyFrame

### stream

    protected com.wowza.wms.stream.IMediaStream stream

### streamNotifier

    protected LiveStreamRecordActionNotifier streamNotifier

### versionFile

    protected boolean versionFile

### worker

    protected LiveStreamRecorderWorker worker

### writeLock

    protected Object writeLock

Constructor Detail

### LiveStreamRecorderBase

    public LiveStreamRecorderBase()

Method Detail

### getFilePath

    public String getFilePath()

### getWriteLock

    public Object getWriteLock()

### isMoveFirstVideoFrameToZero

    public boolean isMoveFirstVideoFrameToZero()

### isRecordData

    public boolean isRecordData()

### isStartOnKeyFrame

    public boolean isStartOnKeyFrame()

### isVersionFile

    public boolean isVersionFile()

### setMoveFirstVideoFrameToZero

    public void setMoveFirstVideoFrameToZero(boolean moveFirstVideoFrameToZero)

### setRecordData

    public void setRecordData(boolean recordData)

### setStartOnKeyFrame

    public void setStartOnKeyFrame(boolean startOnKeyFrame)

### setVersionFile

    public void setVersionFile(boolean versionFile)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD